\documentclass[12pt]{article}

\usepackage{amsthm,enumerate,amsmath,graphics,float,amssymb,../kbordermatrix,pictexwd}

\usepackage[text={17cm,23cm},centering]{geometry}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem{Ex}{Exercise}
\newtheorem{sol}{Solution}

\newcommand{\cl}{\operatorname{cl}}
\newcommand{\mcal}[1]{\ensuremath{\mathcal{#1}}}

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\vspace{4ex}
\hrule
MATH432 - 2009\hfill
Assignment 2 \hfill
Solutions.
\vspace{1ex}\hrule\vspace{1ex}

\begin{sol}
[B. Clark and M. Haskell]
First we note that $\cl(X)$ is a flat of $M$ by
Proposition~3.10~(ii).
Therefore $\cl(X)$ is contained in the list
$F_{1},\ldots, F_{t}$.
This means that $F_{1}\cap\cdots\cap F_{t}$
is contained in $\cl(X)$.

Now suppose that $X$ is contained in the flat $F_{i}$, and that
$x \in \cl(X)$.
Assume that $x \notin F_{i}$.
If $x \in X$ then $x$ is certainly contained in
$F_{i}$, a contradiction, so we assume that $x \in \cl(X)-X$.
Then there is a circuit $C \subseteq X \cup x$ such that
$x \in C$, by Proposition~3.11.
Then $C$ is contained in $F_{i} \cup x$, and this shows that
$x \in \cl(F_{i})$.
Thus $r(F_{i} \cup x) = r(F_{i})$.
As $F_{i}$ is a flat, and $x \notin F_{i}$, this is a
contradiction.
Therefore $x \in F_{i}$, which implies that
$\cl(X) \subseteq F_{i}$.
As $F_{i}$ was chosen arbitrarily, this
means that $\cl(X)$ is contained in all of the
flats $F_{1},\ldots, F_{t}$, so that
$\cl(X)$ is contained in $F_{1}\cap\cdots \cap F_{t}$.
\end{sol}

\begin{sol}
  \begin{enumerate}[(i)]
  \item 
First let $X$ be independent.
Then $X\cap Z$ is independent for every cyclic
flat $Z$, which means that $|X\cap Z| = r(X\cap Z) \leq
r(Z)$ for every cyclic flat $Z$.

For the converse, we assume that $X$ is dependent, and therefore
contains a circuit $C$.
Proposition~3.10 says that $\cl(C)$ is a flat.
If $x \in C$, then there is certainly a circuit
in $\cl(C)$ that contains $x$ (namely $C$ itself).
Moroever, if $x\in\cl(C)-C$, then there is a circuit
in $\cl(C)$ that contains $x$, by Proposition~3.11.
Therefore every element in $\cl(C)$ is contained in
a circuit that is contained in $\cl(C)$.
In other words, $\cl(C)$ is a union of circuit, and hence
a cyclic flat.

Now
$$|X\cap \cl(C)| \geq |C| > r(C) = r(\cl(C)),$$
where we used Proposition~3.10 to get the last equality.

\item
(Due to B. Clark).
Let $Z$ be a cyclic flat of a matroid $M$.
Since $Z= \bigcup_{i=1}^n C_i$ is a union of circuits
$C_1,\ldots,C_n$ of $M$, it follows that $E-Z = \bigcap_{i=1}^n (E-C_i)$
is the intersection of the cohyperplanes $E-C_1,\ldots,E-C_n$.
Hence $E-Z$ is a coflat of $M$, by Proposition~3.12 and
induction.
To show $E-Z$ is a cyclic flat of $M^{*}$, we show that for each $e \in E-Z$
there is a cocircuit containing $e$ and contained in $E-Z$.
Suppose $e \in E-Z$. Let $I \subseteq Z$ be an 
independent set $I \subseteq Z$ with $|I|=r(Z)$.
Since $Z$ is a flat, it must be the case that
$I \cup e$ is independent, for otherwise $e$ is in the
closure of $I$, and hence the closure of $Z$.
Hence $E-(I\cup e)$ is cospanning, so there is a cobasis
$B^{*} \subseteq E-(I\cup e)$ with $e \notin B^{*}$.
Now $B^{*}\cup e \subseteq E-I$ contains a unique cocircuit
$C^{*}$ which contains $e$.
Suppose $C^{*}\cap Z \not= \emptyset$ and let $x \in C^{*}\cap Z$.
Then $I\cup x \subseteq Z$ and $|I\cup x|>r(Z)$, so
$I\cup x$ contains a circuit $C$ and $x \in C$.
Since $x\in C\cap C^{*}$ and $|C\cap C^{*}|\not=1$,
by Proposition~3.13, there
exists some $y\in (C\cap C^{*})-x$.
But this is impossible, because $(C-x)\subseteq I$ and
$(C^{*}-x)\subseteq E-I$ so $(C\cap C^{*}) -x = \emptyset$.
Therefore $e \in C^{*} \subseteq E-Z$, and $e$ is
contained in a cocircuit that is contained in $E-Z$,
as desired.

Conversely, if $E-Z$ is a cyclic flat of $M^{*}$, then the
above argument shows that its complement $Z$ is a cyclic
flat of $M^{**}=M$.   

\item
Consider $U_{2,2}$.
Any set of size one is a flat of this matroid.
But the dual, $U_{0,2}$, has only one flat and this flat has
size $2$.
\end{enumerate}
\end{sol}

\begin{sol}
Let $\mathcal{J}$ be the set
$\{I \subseteq E-e\mid I \cup e \in \mathcal{I}\}$.
Since $e$ is not a loop of $M$, the set
$\{e\}=\emptyset \cup e$ is a member of $\mathcal{I}$.
Therefore $\mathcal{J}$ contains $\emptyset$, and
{\bf I1} is satisfied.

Suppose that $I \in \mathcal{J}$ and that
$J \subseteq I$.
Then $I \cup e \in \mathcal{I}$, and
$J \cup e \subseteq I \cup e$.
Since $\mathcal{I}$ obeys {\bf I2} it follows that
$J \cup e \in \mathcal{I}$.
Therefore $J \in \mathcal{J}$, so
$\mathcal{J}$ obeys {\bf I2}.

Finally, suppose that $I,J \in \mathcal{J}$,
and that $|J| < |I|$.
Then $I\cup e, J \cup e \in \mathcal{I}$, and
$|J \cup e | < |I \cup e|$.
By {\bf I3}, there is an element
$f \in (I \cup e)-(J \cup e)=I-J$ such that
$(J \cup e)\cup f = (J \cup f) \cup e$ is
in $\mathcal{I}$.
Therefore $J \cup f \in \mathcal{J}$, so
{\bf I3} is satisfied.
\end{sol}

\begin{sol}
  \begin{enumerate}
  \item[(i)] The following diagram shows a labelled
drawing of the graph $K_{3,3}$, and a geometric
representation of the corresponding cographic
matroid $M^{*}(K_{3,3})$.
\begin{center}
\includegraphics{432_sol2_fig1}
\end{center}
\item[(ii)] The following drawing shows the result of contracting the
element $e$ from $M^{*}(K_{3,3})$.
\begin{center}
\includegraphics{432_sol2_fig2}
\end{center}
\item[(iii),(iv)]
The following diagram shows a planar drawing of
$K_{3,3}\backslash e$, the geometric dual of
the planar drawing (with the original drawing shown in
dashed lines), and a redrawing of the geometric dual.
\begin{center}
\includegraphics{432_sol2_fig3}
\end{center}
\item[(v)] If we construct a geometric representation of the
graphic matroid corresponding to the last drawing,
we obtain exactly the same picture that we did in~(ii).
This is because the graphic matroid of the last drawing
is equal to the dual of $M(K_{3,3}\backslash e)$,
and
$$(M(K_{3,3}\backslash e))^{*} = (M(K_{3,3})\backslash e)^{*}
=M^{*}(K_{3,3})/e.$$
  \end{enumerate}
\end{sol}

\begin{sol}
[M. Welsh, S. Othman, N. Baharin, B. Clark, M. Haskell]
We can produce a representation of $R_{10}/a$
by simply deleting the row labelled by $a$.
$$\kbordermatrix{
  & f & g & h & i & j\\
b & 1 & 1 & 1 & 0 & 0\\
c & 0 & 1 & 1 & 1 & 0\\
d & 0 & 0 & 1 & 1 & 1\\
e & 1 & 0 & 0 & 1 & 1\\
}
$$
It is possible to check that the $3$-element circuits
of the binary matroid represented by this matrix
are
$$bef,\ bcg,\ dej,\ dgh,\ cij,\ fhi.$$
Therefore $R_{10}/a$ is represented by the following
geometric picture.
\begin{center}
\includegraphics{432_sol2_fig4}
\end{center}
Hence $R_{10}/a$ is isomorphic to $M^{*}(K_{3,3})$.

Similarly, we can obtain a representation of $R_{10}\backslash f$
by deleting the column labelled by $f$.
$$\kbordermatrix{
  & g & h & i & j\\
a & 1 & 0 & 0 & 1\\
b & 1 & 1 & 0 & 0\\
c & 1 & 1 & 1 & 0\\
d & 0 & 1 & 1 & 1\\
e & 0 & 0 & 1 & 1\\
}
$$
This is just the transpose of the matrix we saw before,
so $R_{10}\backslash f$ is isomorphic
to $(R_{10}/a)^{*}$, which is isomorphic to
$(M^{*}(K_{3,3}))^{*} = M(K_{3,3})$.
\end{sol}

\begin{sol}
Suppose that $G/e$ contains a cycle $C$.
The edges in $C$ either make up a cycle in $G$,
in which case we are done, or they form a path
joining the end vertices of $e$.
In this case the edges of $C$ along with $e$ form a cycle
in $G$.

Now assume that $G$ contains a cycle $C$.
If $e \in C$, then the edges of $C-e$ form a cycle in
$G/e$.
Therefore we assume that $e$ is not in $C$.
Consider the set of edges in $C \cup e$.
Either this set contains a cycle that contains $e$, or
it doesn't.
In the first case we have reduced to the case where
$e$ is contained in a cycle, so we are done.
In the second case, $C$ will be a cycle of $G/e$.
\end{sol}

\begin{sol}
Let $M$ be isomorphic to $U_{r,n}$ and let $e$ 
be an element of $E(M)$.
Let $X$ be a subset of $E(M)-e$.
Then $X$ is independent in $M \backslash e$ if and only
if $X$ is independent in $M$, which is true if
and only if $|X| \leq r$.
Therefore the independent sets of
$M \backslash e$ are exactly the subsets of $E(M)-e$
that have size at most $r$.
If $r=n$, then these are exactly the subsets of
$E(M)-e$ that have size at most $r-1$.
Otherwise they are exactly the subsets of
$E(M)-e$ that have size at most $r$.

From this it follows that $M\backslash e$ is isomorphic to
$U_{r,n-1}$ assuming that $r < n$, and $U_{r-1,n-1}$
otherwise.
By duality, it follows that
$$U_{r,n}/e = (U_{r,n}^{*}\backslash e)^{*}
=(U_{n-r,n}\backslash e)^{*}$$
is equal to $U_{n-r,n-1}^{*}=U_{r-1,n-1}$ if
$n-r<n$ (that is, if $r > 0$), and
is equal to $U_{n-r-1,n-1}^{*}=U_{r,n-1}$ if
$n-r=n$ (that is, if $r=0$).
\end{sol}

\begin{sol}[B. Clark, M. Haskell, S. Othman]
We will prove that $U_{0,1}\oplus U_{1,1}$
is the unique excluded minor for the class of
uniform matroids.
Note that $U_{0,1}\oplus U_{1,1}$ is not uniform,
since it contains a single-element independent set,
and also a single-element dependent set.
However, the only proper minors of
$U_{0,1}\oplus U_{1,1}$ are isomorphic to
$U_{0,1}$ and $U_{1,1}$, and these are both uniform.

To show that $U_{0,1}\oplus U_{1,1}$ is the unique
excluded minor, we will assume that $M$ is
non-uniform, and prove that it contains a
minor isomorphic to $U_{0,1}\oplus U_{1,1}$.
Let $r$ be the rank of $M$.
If every $r$-element set is independent in $M$,
then $M$ is uniform, so there must be a circuit
$C$ of $M$ with size at most $r$.
Let $x$ be an element of $C$.
Then $C-x$ is independent in $M$, and is therefore
contained in a basis $B$.
It cannot be the case that $x \in B$, so
$B \cup x$ contains a unique circuit.
In fact $B \cup x$ contains $C$.
Since $|C| \leq r$, there is an element in
$B \cup x$ that is not in $C$.
Let $y$ be such an element.

Now suppose that we contract the elements
in $B-y$ and delete all the elements
in $E(M)-(B\cup x)$.
It is not difficult to see that $y$ is a coloop
in the resulting minor, and that $x$ is a loop.
Therefore
$M/(B-y)\backslash (E(M)-(B\cup x))$ is isomorphic to
$U_{0,1}\oplus U_{1,1}$, and we are done.
\end{sol}

\begin{sol}
[B. Clark, M. Haskell]
Let $e$ be an element in $B_{1}-B_{2}$, and
consider the unique circuit $C(e,B_{2})$
that is contained in $B_{2}\cup e$.
Let $X=C(e,B_{2})-B_{1}$.
Clearly $C(e,B_{2})$ is not contained in
$B_{1}$, so $X$ is non-empty.
If we can find an element $f \in X$ such that
the unique circuit $C(f,B_{1})$ contained
in $B_{1}\cup f$ also contains $e$, then neither
$(B_{1}-e)\cup f$ and $(B_{2}-f)\cup e$ contains
a circuit.
Therefore both are bases, and we are done.

Therefore we will assume that $e \notin C(f,B_{1})$
for every $f \in X$.
Note that $B_{1}\cup X$ contains at least one circuit
that contains $e$ (namely $C(e,B_{2})$).
Let $C$ be a circuit contained in $B_{1}\cup X$ chosen so that
$e \in C$, and $|C\cap X|$ is as small as possible
subject to the constraints $e \in C \subseteq B_{2}\cup X$.
Clearly $C\cap X$ is non-empty, for otherwise
$C$ is contained in $B_{1}$.
Let $f$ be an element in $C\cap X$.
We observe that $f \in C(f,B_{1})\cap C$, and that
$C$ and $C(f,B_{1})$ are distinct circuits,
since $e \notin C(f,B_{1})$.
Now we can apply the strong circuit-elimination
axiom, and deduce the presence of a circuit
$C' \subseteq (C(f,B_{1})\cup C)-f$ such that
$e \in C'$.
But $C'$ meets $X$ in at least one fewer elements
than $C$, since $C'$ does not contain $f$.
Therefore our choice of $C'$ is contradicted and we are done.
\end{sol}

\end{document}